package com.hzya.frame.sys.file.upload.entity;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

/**
 * @description: 系统文件上传dto
 * @tableName:
 * @entityName: FileUploadDto
 * @author: gjh
 * @history: 1.0
 */
public class FileUploadDto {
    /**
     * id
     */
    private String id;
    /**
     * 业务类型
     */
    private String businessType;
    /**
     * 文件类型
     * 1：普通文件
     * 2：插件附件
     */
    private String fileType = "1";

    /**
     * 是否是业务类型
     */
    private boolean fileFlag;

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public boolean isFileFlag() {
        return fileFlag;
    }

    public void setFileFlag(boolean fileFlag) {
        this.fileFlag = fileFlag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
